<View::Base::SourceBuckets class="use-highlights" @path={{@path}} @model={{@model}} @value={{this.value}}
  @maxItems={{this.maxItems}} as |lazyList|>
  {{#if lazyList.isEmpty}}
    <TextWithOptions class="empty-message" @deviceSize={{@deviceSize}} @options={{this.value.data.emptyMessage}}
      data-name={{this.value.name}} data-gid={{this.value.gid}}
      data-type="empty list message" data-editor="text-with-options"
      data-path="{{@path}}.data.emptyMessage" data-text-value="true" >{{!
      }}{{this.value.data.emptyMessage.text}}{{!
    }}</TextWithOptions>
  {{else}}
    <div class="d-none"
      data-name={{this.value.name}} data-gid={{this.value.gid}}
      data-type="empty list message" data-editor="text-with-options"
      data-path="{{@path}}.data.emptyMessage" data-text-value="true" />
  {{/if}}

  <div class="d-none" {{on "props-update" this.updateCardProps}}
    data-name={{this.value.name}} data-gid={{this.value.gid}}
    data-type="card" data-editor="card-options" data-path="{{@path}}.data.card"
    data-model-type={{this.value.data.source.model}} />

  <ResponsiveView
    class="card-list row g-4 mt-0 {{col-size-limit @deviceSize this.value.data.card.containerList.classes}}"
    @onChange={{this.changeSize}}>
    {{#each lazyList.buckets as |bucket|}}
      {{#each bucket as |record|}}
        <Container class="col mt-0" @value={{this.cardContainer}} @deviceSize={{@deviceSize}}>
          <Card::Any @path={{@path}} @value={{this.value}} @record={{record}} @isEditor={{@isEditor}} @onDelete={{this.deleteRecord}}
            @deviceSize={{@deviceSize}} />
        </Container>
      {{/each}}
    {{/each}}
  </ResponsiveView>
</View::Base::SourceBuckets>